#ifndef SimpLedRGB_h
#define SimpLedRGB_h

#include "Arduino.h"

typedef struct {
  float red;
  float green;
  float blue;
} Color;

class SimpLedRGB
{
  int pin_red = 0;
  int pin_green = 0;
  int pin_blue = 0;

  Color color = {0.0, 0.0, 0.0};

  public:
  SimpLedRGB(int pinRed, int pinGreen, int pinBlue);

  void begin();

  void setColor(const Color &color);

  void translateToColor(const Color &color, int duration_millis);
};

#endif
